include:
  - template: Auto-DevOps.gitlab-ci.yml

test:
  image: python:3.8-alpine
  script:
    - pip install -r requirements.txt
    - pip install pylint pylint-junit
    - pylint --output-format=pylint_junit.JUnitReporter main.py | tee rspec.xml
  artifacts:
    paths:
      - rspec.xml
    reports:
      junit: rspec.xml
    when: always

